digiKam Developer Documentation: Digikam::BasicDImgFilterGenerator< T > Class Template Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::BasicDImgFilterGenerator< T > Class Template Reference
Inheritance diagram for Digikam::BasicDImgFilterGenerator< T >:

## Public Member Functions
| BasicDImgFilterGenerator ()=default
| A sample implementation for one DImgThreadedFilter class.
DImgThreadedFilter * | createFilter (const QString &filterIdentifier, int version) override
| Create the filter for the given combination of identifier and version.
QString | displayableName (const QString &filterIdentifier) override
QStringList | supportedFilters () override
QList< int > | supportedVersions (const QString &filterIdentifier) override
Public Member Functions inherited from Digikam::DImgFilterGenerator
virtual bool | isSupported (const QString &filterIdentifier)
| Convenience methods.
virtual bool | isSupported (const QString &filterIdentifier, int version)

## Constructor & Destructor Documentation

## ◆ BasicDImgFilterGenerator()

template<class T >

Digikam::BasicDImgFilterGenerator< T >::BasicDImgFilterGenerator | ( |  | ) |
| default

The class must provide two static methods, FilterIdentifier() and SupportedVersions().

## Member Function Documentation

## ◆ createFilter()

template<class T >

DImgThreadedFilter * Digikam::BasicDImgFilterGenerator< T >::createFilter | ( | const QString & | filterIdentifier,
|  | int | version
| ) |  |
| inlineoverridevirtual

Implements Digikam::DImgFilterGenerator.

## ◆ displayableName()

template<class T >

QString Digikam::BasicDImgFilterGenerator< T >::displayableName | ( | const QString & | filterIdentifier | ) |
| inlineoverridevirtual

Returns
  A QString with filter name for displaying in views

Implements Digikam::DImgFilterGenerator.

## ◆ supportedFilters()

template<class T >

QStringList Digikam::BasicDImgFilterGenerator< T >::supportedFilters | ( |  | ) |
| inlineoverridevirtual

Returns
  A list with identifiers of supported filters

Implements Digikam::DImgFilterGenerator.

## ◆ supportedVersions()

template<class T >

QList< int > Digikam::BasicDImgFilterGenerator< T >::supportedVersions | ( | const QString & | filterIdentifier | ) |
| inlineoverridevirtual

Returns
  A list with the supported versions for the given identifier

Implements Digikam::DImgFilterGenerator.